Bug 126326 - Request for updated Ghostscript 8.15
Request for updated Ghostscript 8.15
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://ghostscript.com
: FutureFeature
: 136909 143310 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 20:55 EDT by A tech
Modified: 2007-11-30 17:10 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 08:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A tech 2004-06-18 20:55:18 EDT
Description of problem:


Version-Release number of selected component (if applicable):
7.07-25

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
GPL Ghostscript 8.01 has been out for a while now.

It has much improved TT font handling, PDF export and also support
N-color spaces.
Comment 1 Tim Waugh 2004-06-25 07:51:08 EDT
Wonder if all of the 3rd party patches we ship have caught up yet. 
They hadn't when I last tried this.
Comment 2 Moritz Barsnick 2004-07-20 03:02:14 EDT
The patches indeed haven't caught up. :-)

I have yet to figure out though how to get hold of 8.xx if I believe 
I do not require these 3rd party patches. And I can't find all too 
many usable alternative packagers for 8.xx (whether AFPL or GPL).

How about "pushing" these 3rd party vendors a little bit? ;-)

I know the step from 7.xx to 8.xx may be painful, but sooner or later 
it should be worth it.
Comment 3 A tech 2004-09-03 05:34:22 EDT
Note GS 8.15 in CVS is tagged GPL. This is the version worth pushing
for. It is equivalent to 8.14, plus bug fixes, new high end devices,
much improved PDFwriter and new font grid fitting. I believe it will
support some PDF 1.5 and will probably require japsper to work correctly.
Comment 4 Alexander Kain 2004-10-10 02:24:55 EDT
I'd like to mention that 8.15 fixes some real show-stopper pdf bugs, I
highly recommend its adapation asap.
Comment 5 Tim Waugh 2004-10-26 04:06:46 EDT
*** Bug 136909 has been marked as a duplicate of this bug. ***
Comment 6 Tim Waugh 2004-12-19 05:35:35 EST
*** Bug 143310 has been marked as a duplicate of this bug. ***
Comment 7 Per Bjornsson 2005-02-11 18:13:43 EST
I believe that it was determined that ESP Ghostscript has most of the
Fedora-relevant drivers integrated already? If that is correct, and
switching is an option it looks like ESP GS 8.15 is forthcoming, with
RC1 released a couple of days ago:

http://www.cups.org/articles.php?L214

Could it be interesting to switch Fedora to this version?
Comment 8 Tim Waugh 2005-02-14 04:46:44 EST
This is a post-FC4 thing I think.
Comment 9 Michal Jaegermann 2005-02-14 11:39:01 EST
> This is a post-FC4 thing I think.

That would be somewhat unfortunate. GPL 8.15 was released on 2004-09-23
and claims "improved font rendering, and offers significantly better
PDF generation".  See also comment #4.  Yes, I know that ESP 8.15
is not there yet.
Comment 10 Marcin Garski 2006-06-16 14:02:57 EDT
Please look at:
http://advogato.org/person/raph/diary.html?start=411 (topic "Ghostscript leading
edge is now GPL!").

"... we're looking for a person to oversee this integration work, and to work
more closely with the distributions and others in the free software community."

Time to send upstream 3rd party patches and update FC package to 8.54?
Comment 11 Tim Waugh 2006-06-26 08:29:18 EDT
If only I had the time to do this!  For the moment we'll need to continue
tracking ESP Ghostscript, so hopefully ESP will find someone to do the
integration work.

Note You need to log in before you can comment on or make changes to this bug.